########################
#  ONI TEAM ARENA 1.1  #
# AIRPORT BATTERY PACK #
########################
var int friend_sc; var int enemy_sc;
var int friend_lt; var int enemy_lt;
var int friend_xl; var int enemy_xl;
var int friend_ld; var int enemy_ld; 
var int arena_limit= 0;
#####################################
func void ArenaResetScore(void) {
	cinematic_stop(KONtransform, 15, 30)
	cinematic_stop(MUROevilgrin, 16, 30)
	sound_ambient_stop alarm_loop
	friend_sc=   0; enemy_sc=   0;
	friend_lt= 100; enemy_lt= 100;
	friend_xl=   0; enemy_xl=   0;
	friend_ld=   0; enemy_ld=   0;
	if(arena_limit eq -1) {friend_lt= 50; enemy_lt= 50;}
	arena_scoring= 1; arena_time= 0;
	if(arena_limit > 0) {
		friend_lt= 1000; enemy_lt= 1000;
		if(arena_limit eq 1) timer_start 180 ArenaTimeOut
		if(arena_limit eq 2) timer_start 300 ArenaTimeOut
	}
}
################ ARENA DESCRIPTION (CUSTOM)
func void ArenaScoreInfo(void) {
	if(arena_limit eq -1) dmsg("50 FRAGS = VICTORY");
	if(arena_limit eq 0) dmsg("100 FRAGS = VICTORY");
	if(arena_limit eq 1) dmsg("TIME LIMIT : 3 MINUTES")
	if(arena_limit eq 2) dmsg("TIME LIMIT : 5 MINUTES")
}
func void ArenaScoreNextMode(void) {
	arena_limit= arena_limit + 1;
	if(arena_limit > 2) arena_limit= -1;
}
################ DEATH REGISTRATION (CORE, CUSTOM MESSAGES)
func void Death(string ai_team, string ai_name, string ai_nick) {
	dmsg(" "); dmsg(ai_nick); RandDead(); chr_pain(ai_name, death);
	if(ai_team ne Konoko and ai_team ne Syndicate) {
		dmsg(" "); dmsg("WHO CARES?");
	} 
	if(ai_team eq Syndicate) {
		cinematic_stop(MUROevilgrin, 16, 30)
		cinematic_stop(MUTANTMUROface, 16, 30)
		friend_sc= friend_sc + 1
		friend_lt= friend_lt - 1; if(friend_lt eq 0) dmsg " "
		friend_xl= friend_xl + 1; enemy_xl= 0
		friend_ld= enemy_lt - friend_lt
		dmsg "The [g.PROCRASTINATORS]"
	     	     if(friend_lt < 6 and enemy_lt > friend_lt)
			LeftMess(Konoko, friend_lt)
		else if(friend_ld eq 0 or friend_ld eq 1)
			LeadMess(Konoko, friend_ld)
		else    ExcelMess(Konoko, friend_xl)
	}
	if(ai_team eq Konoko) {
		cinematic_stop(KONtransform, 15, 30)
		enemy_sc= enemy_sc + 1
		enemy_lt= enemy_lt - 1; if(enemy_lt eq 0) dmsg " "
		enemy_xl= enemy_xl + 1; friend_xl= 0
		enemy_ld= friend_lt - enemy_lt 
		dmsg "The [r.LAZY TEAM]"
	     	     if(enemy_lt < 6 and friend_lt > enemy_lt)
			LeftMess(Syndicate, enemy_lt)
		else if(enemy_ld eq 0 or enemy_ld eq 1)
			LeadMess(Syndicate, enemy_ld)
		else    ExcelMess(Syndicate, enemy_xl)
	}
	if(chr_is_player(ai_name)) {
		dmsg " "
		dmsg "[g.PROCRASTINATORS] :"
		PrintScore(friend_sc)
		dmsg "[r.LAZY] :"
		PrintScore(enemy_sc)
	}
	ArenaWeaponModerator(enemy_sc + friend_sc);
}
################ TIME LIMIT
func ArenaTimeOut {
	arena_scoring= 0; timer_stop
	sound_impulse_play door_lock
	sound_impulse_play killkick
	ai2_allpassive(1); p3_removedangerous();
	dmsg " "
	dmsg "[g.GARDENERS] :"
	PrintScore(friend_sc)
	dmsg "[r.P][o.Y][y.R][o.O][r.M][o.A][y.N][o.I][r.A][o.C][y.S] :"
	PrintScore(enemy_sc)
	sleep 30; sound_dialog_play c18_73_09madbomb 5.0
	sleep 90
	dmsg " "
	if(friend_sc > enemy_sc) {
		dmsg("[g.GARDENERS]"); LeftMess(Konoko, 0)
	}
	if(friend_sc < enemy_sc) {
		dmsg("[r.P][o.Y][y.R][o.O][r.M][o.A][y.N][o.I][r.A][o.C][y.S]");
		LeftMess(Syndicate, 0)
	}
	if(friend_sc eq enemy_sc) {
		dmsg("[b.TEAMS ARE TIED]"); LeftMess(NoTeam, 0)
	}
}
################ FRAGS LEFT MESSAGE
func LeftMess(string team_name, int frags_left) {
	sound_impulse_play door_lock
	sound_impulse_play killkick
	if(frags_left eq 5) {
		dmsg "are [y.5 FRAGS] away from victory!"
		sleep 10
		if(team_name eq Konoko) {
			sound_dialog_play c17_99_28konoko
			cinematic_start(KONtransform, 128, 128, 15, 1, 30, false)
		}
		if(team_name eq Syndicate) {
			sound_dialog_play c17_99_02striker
			cinematic_start(MUROevilgrin, 128, 128, 16, 3, 30, true)
		}
	}
	if(frags_left eq 4) dmsg "are [y.4 FRAGS] away from victory!"
	if(frags_left eq 3) dmsg "are [y.3 FRAGS] away from victory!"
	if(frags_left eq 2) dmsg "are [y.2 FRAGS] away from victory!"
	if(frags_left eq 1) {
		dmsg "are [y.1 FRAG] away from victory!"
		sound_ambient_start alarm_loop
	}
	if(frags_left eq 0) {
		if(team_name eq Konoko or team_name eq Syndicate)
			dmsg "WIN THE FIGHT!"
		else dmsg " "
		fork GameOver(team_name)
	}
}
func void GameOver(string team_name) {
	cinematic_stop(KONtransform, 15, 30)
	cinematic_stop(MUROevilgrin, 16, 30)
	cinematic_stop(MUTANTMUROface, 16, 30)
	sound_ambient_stop alarm_loop
	arena_scoring= 0;
	ai2_allpassive(1); p3_removedangerous();
	if(team_name eq Konoko) {
		sound_dialog_play c17_99_28konoko
		cinematic_start(KONtransform, 128, 128, 15, 1, 30, false)
		chr_animate(0, KONOKOendpowerup)
	}
	if(team_name eq Syndicate) {
		sound_dialog_play c18_73_02striker
		cinematic_start(MUROevilgrin, 128, 128, 16, 3, 30, true)
	}
	if(team_name ne Konoko and team_name ne Syndicate) {
		cinematic_start(KONtransform, 128, 128, 15, 1, 30, false)
		cinematic_start(MUROevilgrin, 128, 128, 16, 3, 30, true)
	}	
	dmsg "[r.Thank you for playing the arena!]"
	dmsg "geyser@oni2.net"
	sleep 180
	fork ArenaReset(1);
	sleep 100; ai2_allpassive(0);
}
################ LEAD MESSAGE (LEVEL-SPECIFIC SOUNDS, CUSTOM MESSAGES)
func LeadMess(string team_name, int lead_swap) {
	sound_impulse_play door_lock
	sound_impulse_play killkick
	if(lead_swap) {
		dmsg "HAVE [r.TAKEN THE LEAD]"
		sleep 10
		if(team_name eq Konoko) {
			sound_dialog_play c17_99_28konoko
			cinematic_start(KONtransform, 128, 128, 15, 1, 30, false)
		}
		if(team_name eq Syndicate) {
			sound_dialog_play c17_99_14tanker
			cinematic_start(MUTANTMUROface, 128, 128, 16, 3, 30, false)
		}
	}
	if(!lead_swap) dmsg "HAVE [y.TIED FOR THE LEAD]"
}
################ EXCELLENCE MESSAGE (LEVEL-SPECIFIC SOUNDS, CUSTOM MESSAGES)
func ExcelMess(string team_name, int xl_frags) {
	if(xl_frags eq 1) dmsg "SCORE"
	if(xl_frags eq 2) {
		dmsg "ARE IMPRESSIVE!"
		sound_impulse_play objective_complete
	}
	if(xl_frags eq 3) {
		dmsg "ARE EXCELLENT!"
		sound_impulse_play objective_prompt
	}		
	if(xl_frags eq 4) {
		dmsg "ARE UNSTOPPABLE!"
		sound_impulse_play objective_new
	}
	if(xl_frags eq 5) {
		dmsg "ARE GODLIKE!"
		sound_impulse_play killkick
		sleep 10
		if(team_name eq Konoko) {
			sound_dialog_play c17_99_28konoko
			cinematic_start(KONtransform, 128, 128, 15, 1, 30, false)
		}
		if(team_name eq Syndicate) {
			sound_dialog_play c17_99_18comguy
			cinematic_start(MUROevilgrin, 128, 128, 16, 3, 30, true)
		}
	}
	if(xl_frags > 5) {
		dmsg "ARE [r.TRULY] GODLIKE!!!"
		sound_impulse_play killkick
		if(team_name eq Syndicate) {
			sound_dialog_play c18_73_06tanker
			cinematic_stop(MUROevilgrin, 16, 30)
			cinematic_start(MUTANTMUROface, 128, 128, 16, 3, 30, false)
		}
	}
}
func PrintScore(int score) {
	if(score eq   0) dmsg "0"
	if(score eq   1) dmsg "1"
	if(score eq   2) dmsg "2"
	if(score eq   3) dmsg "3"
	if(score eq   4) dmsg "4"
	if(score eq   5) dmsg "5"
	if(score eq   6) dmsg "6"
	if(score eq   7) dmsg "7"
	if(score eq   8) dmsg "8"
	if(score eq   9) dmsg "9"
	if(score eq  10) dmsg "10"
	if(score eq  11) dmsg "11"
	if(score eq  12) dmsg "12"
	if(score eq  13) dmsg "13"
	if(score eq  14) dmsg "14"
	if(score eq  15) dmsg "15"
	if(score eq  16) dmsg "16"
	if(score eq  17) dmsg "17"
	if(score eq  18) dmsg "18"
	if(score eq  19) dmsg "19"
	if(score eq  20) dmsg "20"
	if(score eq  21) dmsg "21"
	if(score eq  22) dmsg "22"
	if(score eq  23) dmsg "23"
	if(score eq  24) dmsg "24"
	if(score eq  25) dmsg "25"
	if(score eq  26) dmsg "26"
	if(score eq  27) dmsg "27"
	if(score eq  28) dmsg "28"
	if(score eq  29) dmsg "29"
	if(score eq  30) dmsg "30"
	if(score eq  31) dmsg "31"
	if(score eq  32) dmsg "32"
	if(score eq  33) dmsg "33"
	if(score eq  34) dmsg "34"
	if(score eq  35) dmsg "35"
	if(score eq  36) dmsg "36"
	if(score eq  37) dmsg "37"
	if(score eq  38) dmsg "38"
	if(score eq  39) dmsg "39"
	if(score eq  40) dmsg "40"
	if(score eq  41) dmsg "41"
	if(score eq  42) dmsg "42"
	if(score eq  43) dmsg "43"
	if(score eq  44) dmsg "44"
	if(score eq  45) dmsg "45"
	if(score eq  46) dmsg "46"
	if(score eq  47) dmsg "47"
	if(score eq  48) dmsg "48"
	if(score eq  49) dmsg "49"
	if(score eq  50) dmsg "50"
	if(score eq  51) dmsg "51"
	if(score eq  52) dmsg "52"
	if(score eq  53) dmsg "53"
	if(score eq  54) dmsg "54"
	if(score eq  55) dmsg "55"
	if(score eq  56) dmsg "56"
	if(score eq  57) dmsg "57"
	if(score eq  58) dmsg "58"
	if(score eq  59) dmsg "59"
	if(score eq  60) dmsg "60"
	if(score eq  61) dmsg "61"
	if(score eq  62) dmsg "62"
	if(score eq  63) dmsg "63"
	if(score eq  64) dmsg "64"
	if(score eq  65) dmsg "65"
	if(score eq  66) dmsg "66"
	if(score eq  67) dmsg "67"
	if(score eq  68) dmsg "68"
	if(score eq  69) dmsg "69"
	if(score eq  70) dmsg "70"
	if(score eq  71) dmsg "71"
	if(score eq  72) dmsg "72"
	if(score eq  73) dmsg "73"
	if(score eq  74) dmsg "74"
	if(score eq  75) dmsg "75"
	if(score eq  76) dmsg "76"
	if(score eq  77) dmsg "77"
	if(score eq  78) dmsg "78"
	if(score eq  79) dmsg "79"
	if(score eq  80) dmsg "80"
	if(score eq  81) dmsg "81"
	if(score eq  82) dmsg "82"
	if(score eq  83) dmsg "83"
	if(score eq  84) dmsg "84"
	if(score eq  85) dmsg "85"
	if(score eq  86) dmsg "86"
	if(score eq  87) dmsg "87"
	if(score eq  88) dmsg "88"
	if(score eq  89) dmsg "89"
	if(score eq  90) dmsg "90"
	if(score eq  91) dmsg "91"
	if(score eq  92) dmsg "92"
	if(score eq  93) dmsg "93"
	if(score eq  94) dmsg "94"
	if(score eq  95) dmsg "95"
	if(score eq  96) dmsg "96"
	if(score eq  97) dmsg "97"
	if(score eq  98) dmsg "98"
	if(score eq  99) dmsg "99"
	if(score eq 100) dmsg "100"
}
